Lee Mac Posted May 27, 2009 Author Posted May 27, 2009 OK, thanks to the guys over at ThSwamp.org, I have added code to make it able to use OSnaps during the GrRead loop. ; **=-=-=-=-=-=-=-=-=-=-=- DINFO.lsp =-=-=-=-=-=-=-=-=-=-=-** ; ** by Lee McDonnell ** ; ** Copyright © May 2009 ** ; ** ** ; ** Contact at: CADTutor.net, TheSwamp.org ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** DYNAMIC INFORMATION TOOL ** ; ** ** ; ** FUNCTION DESCRIPTION: ** ; ** ** ; ** Information about an object is displayed upon the ** ; ** user moving the cursor over the object. ** ; ** ** ; ** FUNCTION SYNTAX: DINFO ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** Click or Hit Enter to Exit Program ** ; ** Press "+" to Increase Cursor Pick Box ** ; ** Press "-" to Decrease Cursor Pick Box ** ; ** ** ; ** Press "TAB" to Switch Modes ** ; ** ** ; ** Available Modes:- ** ; ** DINFO MODE: General Object Editor ** ; ** LAYISO MODE: Click on an Object to Isolate Layer ** ; ** Shift Click to Turn on all Layers. ** ; ** OBJISO MODE: Click on an Object to Isolate Object ** ; ** Type, Shift Click to Turn on all ** ; ** Objects. ** ; ** ** ; ** Click on Text or Attributes to Edit them. ** ; ** Shift+Click on Attributes to Edit using Text Editor. ** ; ** Click on a Viewport to Lock it. ** ; ** Click on Drawing Objects to Edit them. ** ; ** Click on XLine to Rotate, Shift+Click to Move ** ; ** Click on Dimension to Perform Text Override ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** ADDITIONAL FUNCTIONS: ** ; ** ** ; ** CurMod: Creates Custom Cursor Object ** ; ** cInter: Checks for Intersection & Creates Info Str ** ; ** cErase: Erase Information Box and Cursor Object ** ; ** blkinfotxt: Creates Information Box ** ; ** OsLst: Creates a List of Active OSnaps ** ; ** OsMark: Creates a temporary OSnap Marker ** ; ** arcmake: Creates an Arc Object (Commented) ** ; ** dxf: Returns DXF code value ** ; ** vlax-list->3D-point: Converts a SArray lst -> 3D pt ** ; ** verchk: Checks AutoCAD Version ** ; ** round: Rounds a Number to Nearest Whole Number ** ; ** rtd: Radian to Degree Convertor ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** PLATFORM RESTRICTIONS: ** ; ** ** ; ** For use on AutoCAD 2000 onwards. ** ; ** Only tested in AutoCAD 2004. ** ; ** ** ; ** Requires EXPRESS TOOLS to run. ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** WITH THANKS TO: ** ; ** ** ; ** Andrea Andreetti ~ for providing me with ** ; ** the inspiration to create this. ** ; ** ** ; ** Elpanov Evgeniy ~ for help with Arc Modification ** ; ** and GrVecs Transformation Matrix ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** VERSION: ** ; ** ** ; ** 1.0 First Release ~ 09.05.2009 ** ; ** 1.1 ProgEdition Added (Commented) ~ 09.05.2009 ** ; ** 2.0 Text and Attribute Edit Added ~ 09.05.2009 ** ; ** 3.0 Line Editor Added ~ 09.05.2009 ** ; ** 4.0 Circle and LWPolyline Editor ~ 10.05.2009 ** ; ** 5.0 Xref and Block Update ~ 10.05.2009 ** ; ** 5.1 Bug fix Editing Nested Ents ~ 11.05.2009 ** ; ** 6.0 Shift-Click Edit Attributes ~ 11.05.2009 ** ; ** 7.0 Xline and Ellipse Edit Added ~ 12.05.2009 ** ; ** 7.1 Dimension Editing Added ~ 12.05.2009 ** ; ** 7.2 Object Colour and Block Name ~ 12.05.2009 ** ; ** 7.3 Spline Edit Added ~ 13.05.2009 ** ; ** 8.0 LayIso and ObjIso Added ~ 14.05.2009 ** ; ** 9.0 Object Snap Added ~ 27.05.2009 ** ; ** 9.1 Orthomode Added ~ 27.05.2009 ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** Quote
Lee Mac Posted April 6, 2010 Author Posted April 6, 2010 Spent a bit of time on the code for this program, updating it so that the program runs smoother (hopefully!). Removed Editing functionality and Object Isolation functionality, as I deemed these unnecessary. New code can be found here. Lee Quote
Lee Mac Posted April 6, 2010 Author Posted April 6, 2010 I have updated the code for this program to Version 1.2, with an extra GIF for you all to enjoy You can now see what blocks certain objects belong to, and I have added extra fields to the information. It can all be found here Lee Quote
lpseifert Posted April 7, 2010 Posted April 7, 2010 I gotta hand it to you Lee, quite impressive. Nice work. Quote
Lee Mac Posted April 7, 2010 Author Posted April 7, 2010 I gotta hand it to you Lee, quite impressive. Nice work. Thanks Larry, I'm having fun messing around with it Quote
NBC Posted April 7, 2010 Posted April 7, 2010 Lee, just a little bit of feedback for you: I get the following error message whenever I hover over a dynamic block. Note, this only happens when the dynamic block has been changed to something other than the default block state (i.e. stretch/move actions have been done, or the visibility state has changed) and thus the block is 'renamed' to an anonymous block entitled something like *U22. Am using verstion 1.2 of this program. Error message: ** Error: bad argument type: lselsetp nil ** Quote
Lee Mac Posted April 7, 2010 Author Posted April 7, 2010 I only have one Dynamic block to test with (not being a draftsman, and not knowing how to make Dynamic Blocks...), and I can't seem to reproduce the error. Would you be able to provide a drawing in which the error is occurring? Quote
alanjt Posted April 7, 2010 Posted April 7, 2010 I only have one Dynamic block to test with (not being a draftsman, and not knowing how to make Dynamic Blocks...), and I can't seem to reproduce the error. Would you be able to provide a drawing in which the error is occurring? Dig through ToolPalettes, there's several in there. Quote
Lee Mac Posted April 7, 2010 Author Posted April 7, 2010 Dig through ToolPalettes, there's several in there. Thanks Alan Quote
NBC Posted April 7, 2010 Posted April 7, 2010 a typical dynamic block is attached, this is one of them that was producing the error message dyn_block_test.dwg Quote
Lee Mac Posted April 7, 2010 Author Posted April 7, 2010 Grand, thanks again Lee You're very welcome NBC, I'm glad you like the program Quote
antistar Posted May 21, 2010 Posted May 21, 2010 Hi Lee, Your routine returne follow error for me: ** Error: bad argument type: lentityp nil ** Quote
Lee Mac Posted May 21, 2010 Author Posted May 21, 2010 When did you get this error? What were you doing? Quote
antistar Posted May 22, 2010 Posted May 22, 2010 When I enter DINFO show this message: ** Error: bad argument type: lentityp nil ** Thanks advance. Quote
Lee Mac Posted May 22, 2010 Author Posted May 22, 2010 I cannot seem to replicate that behaviour at all Quote
eldon Posted May 22, 2010 Posted May 22, 2010 I am afraid that I can in 2002, but in 2005 it works perfectly Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.